RESIZE2FS(8)

NUME
resize2fs - instrument de redimensionare pentru sistemele de fișiere ext2/ext3/ext4

SINOPSIS
resize2fs [ -fFpPMbs ] [ -d fanioane-depanare ] [ -S RAID-stride ] [ -z fișier_anulare ] dispozitiv [ dimensiune ]

DESCRIERE
Programul resize2fs va redimensiona sistemele de fișiere ext2, ext3 sau ext4. Acesta poate fi utilizat pentru a mări sau micșora un sistem de fișiere nemontat aflat pe dispozitiv. Dacă sistemul de fișiere este montat, poate fi utilizat pentru a extinde dimensiunea sistemului de fișiere montat, presupunând că nucleul și sistemul de fișiere acceptă redimensionarea în linie (nucleele Linux 2.6 moderne vor accepta redimensionarea în linie pentru sistemele de fișiere montate utilizând ext3 și ext4; sistemele de fișiere ext3 vor necesita utilizarea sistemelor de fișiere cu caracteristica resize_inode activată).

Parametrul dimensiune specifică noua dimensiune solicitată pentru sistemul de fișiere. În cazul în care nu se specifică unități, unitățile parametrului dimensiune sunt dimensiunea de bloc a sistemului de fișiere. Opțional, parametrul dimensiune poate fi sufixat de unul dintre următorii indicatori de unități: „K”, „M”, „G”, „T” (fie cu majuscule, fie cu minuscule) sau „s” pentru kiloocteți, megaocteți, gigaocteți, teraocteți la puterea a doua sau respectiv, sectoare de 512 octeți. dimensiunea sistemului de fișiere nu poate fi niciodată mai mare decât dimensiunea partiției. Dacă parametrul dimensiune nu este specificat, acesta va fi implicit la dimensiunea partiției.

Programul resize2fs nu manipulează dimensiunea partițiilor. Dacă doriți să măriți un sistem de fișiere, trebuie să vă asigurați mai întâi că puteți mări dimensiunea partiției de bază. Acest lucru se poate face folosind fdisk(8) prin ștergerea partiției și recrearea acesteia cu o dimensiune mai mare sau folosind lvextend(8), dacă folosiți managerul de volume logice lvm(8). Atunci când recreați partiția, asigurați-vă că o creați cu același cilindru de început de disc ca și înainte! În caz contrar, operațiunea de redimensionare cu siguranță nu va funcționa și este posibil să pierdeți întregul sistem de fișiere. După ce ați rulat fdisk(8), rulați «resize2fs» pentru a redimensiona sistemul de fișiere ext2 pentru a utiliza tot spațiul din partiția nou mărită.

Dacă doriți să micșorați o partiție ext2, utilizați mai întâi resize2fs pentru a micșora dimensiunea sistemului de fișiere. Apoi, puteți utiliza fdisk(8) pentru a micșora dimensiunea partiției. Atunci când micșorați dimensiunea partiției, asigurați-vă că nu o faceți mai mică decât noua dimensiune a sistemului de fișiere ext2!

Opțiunile -b și -s activează și, respectiv, dezactivează caracteristica de 64 de biți. Programul «resize2fs» se va ocupa, bineînțeles, de redimensionarea descriptorilor de grupuri de blocuri și de mutarea altor blocuri de date în altă parte, după cum este necesar. Nu este posibilă redimensionarea sistemului de fișiere concomitent cu schimbarea statutului de 64 de biți.

OPȚIUNI

-b  Activează caracteristica de 64 de biți, redimensionează descriptorii de grup după cum este necesar și mută alte metadate dintr-un loc în altul.

-d fanioane-depanare
    Activează diverse caracteristici de depanare resize2fs, dacă au fost compilate în binar. fanioanele-de-depanare trebuie să fie calculate prin adăugarea numerelor caracteristicilor dorite din lista următoare:
      2    - Depanarea realocărilor de blocuri
      4    - Depanarea realocărilor de noduri-i
      8    - Depanarea mutării tabelului de noduri-i
      16    - Imprimă informațiile de cronologie (marcajele de timp)
      32    - Depanarea calculării dimensiunii minime a sistemului de fișiere (-M)

-f  Forțează «resize2fs» să continue operația de redimensionare a sistemului de fișiere, trecând peste unele verificări de siguranță pe care «resize2fs» le aplică în mod normal.

-F  Golește zona de prestocare (cache) a memoriilor tampon ale dispozitivului sistemului de fișiere înainte de a începe. Este foarte utilă doar pentru a face teste de timp resize2fs.

-M  Micșorează sistemul de fișiere pentru a minimiza dimensiunea acestuia cât mai mult posibil, având în vedere fișierele stocate în sistemul de fișiere.

-p  Afișează barele cu procente de finalizare pentru fiecare fază resize2fs în timpul unei operației de redimensionare „offline” (non-trivială), astfel încât utilizatorul să poată urmări ce face programul (pentru operațiile de redimensionare foarte rapide, este posibil să nu se afișeze nicio bară de progres).

-P  Afișează o estimare a numărului de blocuri de sistem de fișiere din sistemul de fișiere în cazul în care acesta este micșorat cu ajutorul opțiunii resize2fs -M a lui resize2fs și apoi iese.

-s  Dezactivează caracteristica de 64 de biți și eliberează blocurile care nu mai sunt utilizate.

-S stride-RAID
    Programul resize2fs va determina în mod euristic valoarea stride-RAID care a fost specificată la crearea sistemului de fișiere. Această opțiune permite utilizatorului să specifice în mod explicit o valoare a stride-RAID care să fie utilizată de «resize2fs».

-z fișier-anulare
    Înainte de a suprascrie un bloc din sistemul de fișiere, scrie conținutul vechi al blocului într-un fișier-de-anulare. Acest fișier-de-anulare poate fi utilizat cu e2undo(8) pentru a restabili vechiul conținut al sistemului de fișiere în cazul în care ceva nu merge bine. Dacă se trece un șir gol ca argument fișier-de-anulare, fișierul-de-anulare va fi scris într-un fișier numit resize2fs-dispozitiv.e2undo în directorul specificat prin intermediul variabilei de mediu E2FSPROGS_UNDO_DIR. AVERTISMENT: Fișierul de anulări „undo” nu poate fi utilizat pentru a recupera după o pană de curent sau de sistem.

ERORI CUNOSCUTE
Dimensiunea minimă a sistemului de fișiere estimată de resize2fs poate fi incorectă, în special pentru sistemele de fișiere cu dimensiuni de blocuri de 1k și 2k.

AUTOR
resize2fs a fost scris de Theodore Ts'o <tytso@mit.edu>.

DREPTURI DE AUTOR
Drepturi de autor pentru Resize2fs 1998 de Theodore Ts'o și PowerQuest, Inc. Toate drepturile rezervate. Începând cu aprilie 2000, Resize2fs poate fi redistribuit în conformitate cu termenii GPL.

CONSULTAȚI ȘI
fdisk(8), e2fsck(8), mke2fs(8), lvm(8), lvextend(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.